{% extends 'core.html' %} 
{% block title %}Reportes{% endblock %} 
{% load crispy_forms_tags %}
{% block staticload %}
{% load static %} 
{% endblock %} 

{% block content %}
<div class='container mt-5 mb-5'>
  <div class="container mb-5">
    <h1 class="display-3">
      <span style="font-size: 1em; color: #dc3545;">
        <i class="fas fa-comment-slash" aria-hidden="true"></i>
      </span>
      Comentarios Reportados
    </h1>
  </div>
  {% if reports %}
  {% for report in reports %}
  <div class="card">
    <div class="card-body">
      <!-- Report Date -->
      <div class='row'>
        <div class='col-6'>
          <h5>
            Fecha de Reporte:
            <small class="text-muted">{{report.emission_date}}</small>
          </h5>
        </div>
        <div class='col-6 text-right'>
          <div class="float-right"><a href="{% url 'comment-reports-dismiss' pk=report.id %}">
            <span style="font-size: 1.5em; color: #dc3545;">
              <i class="fas fa-minus-circle" aria-hidden="true"></i>
            </span></a>
          </div>
        </div>
      </div>
      <!-- Report Date -->
      <!-- Report Sender -->
      <div class='row'>
        <div class='col-12'>
          <h6>
            Remitente: 
            <small class="text-muted">{{report.sender}}</small>
          </h6>
        </div>
      </div>
      <!-- Report Sender -->
      <!-- Report Recipient -->
      <div class='row'>
        <div class='col-12'>
          <h6>
            Destinatario: 
            <small class="text-muted">{{report.recipient}}</small>
          </h6>
        </div>
      </div>
      <!-- Report Recipient -->
      <!-- Report Slug -->
      <div class='row'>
        <div class='col-12'>
          <h6>
            Asunto: 
            <small>{{report.slug}}</small>
          </h6>
        </div>
      </div>
      <!-- Report Slug -->
      <!-- Report View Comment -->
      <div class='row'>
        <div class='col-12'>
          <a class="btn btn-warning" href="{% url 'comment-details' comment_pk=report.message report_pk=report.id %}" role="button">Ver Comentario</a>
        </div>
      </div>
      <!-- Report View Comment -->
  </div>
  {% endfor %}
  {% else %}
  <div class="card">
    <div class="card-body text-center">
      <p>No hay ningún comentario reportado</p>
    </div>
  </div>
  {% endif %}
  <!-- Pagination Container -->
  <div class='container'>
    <div class="row">
      <div class="col-12">
        {% if reports.has_other_pages %}
          <ul class="pagination">
            {% if reports.has_previous %}
            <li class="page-item"><a class="page-link" href="?page={{ reports.previous_page_number }}">Anterior</a></li>
            {% else %}
            <li class="disabled page-item"><span class="page-link">Anterior</span></li>
            {% endif %}
            {% for i in reports.paginator.page_range %}
            {% if reports.number == i %}
            <li class="active page-item"><span class="page-link">{{ i }} <span class="sr-only">(current)</span></span></li>
            {% else %}
            <li class="page-item"><a class="page-link" href="?page={{ i }}">{{ i }}</a></li>
            {% endif %}
            {% endfor %}
            {% if reports.has_next %}
            <li class="page-item"><a class="page-link" href="?page={{ reports.next_page_number }}">Siguiente</a></li>
            {% else %}
            <li class="disabled page-item"><span class="page-link">Siguiente</span></li>
            {% endif %}
        </ul>
        {% endif %}      
      </div>
    </div>
  </div>
  <!-- Pagination Container -->
</div>
{% endblock %}

{% block scriptfiles %}
{% endblock %}